<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sysclk__clk__peripheral__enums" kind="group">
    <compoundname>group_sysclk_clk_peripheral_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sysclk__clk__peripheral__enums_1ga9aa4619e36f4b0314e9b882f4ff2b6df" kind="enum" prot="public" static="no">
        <name>en_clk_dst_t</name>
        <briefdescription>
<para><bold>en_clk_dst_t: </bold><linebreak />The enumerated type that represents a particular peripheral, used when assigning a peripheral to a peripheral clock divider. These values are device-specific. Refer to a device-specific header file, e.g. &lt;PDL_DIR&gt;/devices/include/psoc6_01_config.h for the specific enumerations for each peripheral for that device.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="16" bodyfile="mainpage/en_clk_dst_type.h" bodystart="16" column="1" file="mainpage/en_clk_dst_type.h" line="16" />
      </memberdef>
      <memberdef id="group__group__sysclk__clk__peripheral__enums_1ga06138349be16d91fd5d00ded2f4592b8" kind="enum" prot="public" static="no">
        <name>cy_en_divider_types_t</name>
        <enumvalue id="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8ad2299deae6e36a070de5a60368b319ad" prot="public">
          <name>CY_SYSCLK_DIV_8_BIT</name>
          <initializer>= 0U</initializer>
          <briefdescription>
<para>Divider Type is an 8 bit divider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a01bdb4658df44cefca91d4d86ffb2a53" prot="public">
          <name>CY_SYSCLK_DIV_16_BIT</name>
          <initializer>= 1U</initializer>
          <briefdescription>
<para>Divider Type is a 16 bit divider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8a4fdbf879741f86ed8b2a600727604763" prot="public">
          <name>CY_SYSCLK_DIV_16_5_BIT</name>
          <initializer>= 2U</initializer>
          <briefdescription>
<para>Divider Type is a 16.5 bit fractional divider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sysclk__clk__peripheral__enums_1gga06138349be16d91fd5d00ded2f4592b8af393d1663cdd9c4a33210ecdf0786dc4" prot="public">
          <name>CY_SYSCLK_DIV_24_5_BIT</name>
          <initializer>= 3U</initializer>
          <briefdescription>
<para>Divider Type is a 24.5 bit fractional divider. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_divider_types_t: </bold><linebreak />Programmable clock divider types.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="2573" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" bodystart="2567" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sysclk.h" line="2568" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>